package de.accso.flexinale.common.infrastructure.eventbus;

import de.accso.flexinale.common.api.eventbus.EventContextHolder;
import de.accso.flexinale.common.api.event.EventContext;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public final class NopeContextHolder implements EventContextHolder {
    private static final Logger LOGGER = LoggerFactory.getLogger(NopeContextHolder.class);

    @Override
    public EventContext get() {
        LOGGER.debug("NopeContextHolder.get() does nothing, always returns null");
        return null;
    }

    @Override
    public void set(EventContext eventContext) {
        LOGGER.debug("NopeContextHolder.set() does nothing");
    }

    @Override
    public void remove() {
        LOGGER.debug("NopeContextHolder.remove() does nothing");
    }

    @Override
    public boolean isEmpty() {
        LOGGER.debug("NopeContextHolder.isEmpty() does nothing, always returns true");
        return true;
    }
}
